# Project information
site_name: ETSI SDG OSL Documentation
site_description: ETSI SDG OSL Documentation page
site_author: OpenSlice by ETSI
site_url: https://osl.etsi.org/

# Repository
repo_name: OSL GitLab
repo_url: https://labs.etsi.org/rep/osl
edit_uri: ""
docs_dir: doc

# edit_uri: edit/docs-revamp/docs/
# edit_uri: blob/docs-revamp/docs/

# remote_name: origin
# remote_branch: gh-pages

# Theme and overrides, i.e. language partial
# https://squidfunk.github.io/mkdocs-material/creating-your-site/
theme:
  name: material

  # Don't include MkDocs' JavaScript
  #include_search_page: false
  #search_index_only: true

  # Default values, taken from mkdocs_theme.yml
  language: en
#  feature:
#    tabs: true
  features:
  - navigation.instant
  - navigation.instant.progress
  - navigation.top
  - navigation.footer
  - navigation.path
  - search
  - search.highlight

  palette:
    primary: 'cyan'
    accent: 'blue'

  logo: 'images/logo_osl.png'
  favicon: images/favicon.png

  icon:
    repo: fontawesome/brands/gitlab

# Copyright
copyright: "Copyright &copy; 2019-2024 Openslice Project"

# Options
extra:
#  search:
#    languages: "en"
  social:
    - icon: fontawesome/solid/globe
      link: https://osl.etsi.org/
    - icon: fontawesome/brands/gitlab
      link: https://labs.etsi.org/rep/osl
    - icon: fontawesome/brands/linkedin
      link: https://www.linkedin.com/company/openslice/
    - icon: fontawesome/brands/x-twitter
      link: https://twitter.com/OpensliceOSS
  version:
    provider: mike

# Page tree
nav:
  - Overview:
      - Introduction: index.md
      - OpenSlice deployment examples: under_construction.md
  - Getting Started:
      - Deployment: 
          - Introduction: deployment.md
          - Docker Compose: deploymentCompose.md
          - Kubernetes: deploymentK8s.md
      - Configuration:
          - Introduction: config_intro.md
          - Role/Keycloak management: under_construction.md
          - NFV Orchestrator Configuration: nfvoconfig.md
          - Consuming Services From External OSS: ./architecture/consumingServicesFromExternalPartners.md
      - NaaS:
          - Introduction: under_construction.md
          - Services:
            - Service Specification: under_construction.md
            - Service Catalogs: under_construction.md
            - Service Inventory: under_construction.md
            - GSMA GST to TMF Service: under_construction.md      
          - Resources:
            - Resources Specification: under_construction.md
            - Resources Catalogs: under_construction.md
            - Resources Inventory: under_construction.md
          - Service orchestration:
            - Introduction: under_construction.md
            - Service Lifecycle management: under_construction.md
            - LCM Rules Introduction: under_construction.md      
            - From Service order to services/resources: 
              - Exposing Kubernetes services: under_construction.md
              - Exposing NFV Services: under_construction.md
          - Supported TMFORUM exposed APIs: under_construction.md
      - Service design:
          - Introduction: service_design_intro.md
          - Support for Kubernetes:
            - Introduction: under_construction.md
            - Exposing Kubernetes Resources: ExposingKubernetesResources.md
            - Design Helm aaService: under_construction.md
            - Exposing CRDs_aaS_Example_Calculator: ExposingCRDs_aaS_Example_Calculator.md
            - HELM Installation aaS Jenkins Example: HELM_Installation_aaS_Jenkins_Example.md
          - NFV Catalogs: nfvcatalogs.md
          - Design NFV Services: under_construction.md
          - LCM Rules:
            - Introduction: under_construction.md
            - Specification: under_construction.md
            - Typical Examples: under_construction.md
          - Service Specification Examples: under_construction.md
      - Service Ordering:
        - Ordering Services from catalogs: under_construction.md
      - Testing services:
        - Testing Specification: under_construction.md
        - Testing Catalogs: under_construction.md
        - Testing Inventory: under_construction.md
      - Service as a Product:
        - Product Specification: under_construction.md
        - Product Catalogs: under_construction.md
        - Product Inventory: under_construction.md
      - Assurance services:
        - Introduction: under_construction.md
        - Alarms and Actions: alarms_actions.md
  - Design & Architecture:
      - Architecture: ./architecture/architecture.md
      - Cloud native support: 
        - Introduction: under_construction.md
        - CRIDGE for Developers: CRIDGEforDevelopers.md
      - Message bus: ./architecture/messagebus.md
      - OSOM: ./architecture/osom.md
      - Authentication: ./architecture/oauth.md
      - APIs:
        - TMF API: ./architecture/tmfapi.md
        - NFV API: ./architecture/nfvapi.md
      - TMF WEB: ./architecture/tmfweb.md
      - NFV WEB: ./architecture/nfvweb.md
      - Issue management: ./architecture/issuemgt.md
      - Central logging: ./architecture/centrallog.md
  - Contributing to OSL:
      - Developing: ./contributing/developing.md
  - Terminology: terminology.md
